Bug 24696 - We should output completion times in the updatedatabase output.
Summary: We should output completion times in the updatedatabase output.
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL: https://gitlab.com/mrenvoize/Koha/-/t...
Keywords:
Depends on: 24131
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-20 10:34 UTC by Martin Renvoize
Modified: 2020-04-15 15:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24696: Add completion times to updatedatabase (2.18 KB, patch)
2020-02-20 14:36 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24696: Add completion times to updatedatabase (2.18 KB, patch)
2020-02-24 13:48 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24696: Use strftime (987 bytes, patch)
2020-02-24 14:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24696: Add completion times to updatedatabase (2.22 KB, patch)
2020-02-28 01:08 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24696: Use strftime (1.03 KB, patch)
2020-02-28 01:08 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24696: Add completion times to updatedatabase (2.22 KB, patch)
2020-03-11 11:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24696: Use strftime (1.03 KB, patch)
2020-03-11 11:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24696: Add completion times to updatedatabase (2.30 KB, patch)
2020-03-20 14:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24696: Use strftime (1.10 KB, patch)
2020-03-20 14:59 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-02-20 10:34:35 UTC
Updatedatabase reports a line for each update, but there's no time added so it's hard to track down which update was responsible for a very long-running upgrade if you're not actually watching the upgrade.
Comment 1 Martin Renvoize 2020-02-20 14:36:21 UTC
Created attachment 99318 [details] [review]
Bug 24696: Add completion times to updatedatabase

This patch adds completion times to the print statements in
updateadatabase.pl.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Martin Renvoize 2020-02-24 13:48:02 UTC
Created attachment 99525 [details] [review]
Bug 24696: Add completion times to updatedatabase

This patch adds completion times to the print statements in
updateadatabase.pl.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2020-02-24 13:49:34 UTC
Test plan.

Run updatedatabase (via either command line or staff client) and note that since the 19.12.00 update we now include timestamps in the output.

QA note, I'm tempted to backdate this timestamp handling to prior versions on the release of 20.05 as part of this cycle release process.
Comment 4 Jonathan Druart 2020-02-24 14:18:18 UTC
Created attachment 99529 [details] [review]
Bug 24696: Use strftime

Seems easier to me.
Comment 5 Martin Renvoize 2020-02-24 15:22:22 UTC
(In reply to Jonathan Druart from comment #4)
> Created attachment 99529 [details] [review] [review]
> Bug 24696: Use strftime
> 
> Seems easier to me.

Good call
Comment 6 Bernardo Gonzalez Kriegel 2020-02-28 01:08:35 UTC
Created attachment 99736 [details] [review]
Bug 24696: Add completion times to updatedatabase

This patch adds completion times to the print statements in
updateadatabase.pl.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Tested on top of Bug 24131
Work Ok, no errors.
Comment 7 Bernardo Gonzalez Kriegel 2020-02-28 01:08:38 UTC
Created attachment 99737 [details] [review]
Bug 24696: Use strftime

Seems easier to me.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 8 Jonathan Druart 2020-03-11 11:08:32 UTC
Here is how it looks: https://snipboard.io/QG3c8A.jpg
Comment 9 Jonathan Druart 2020-03-11 11:19:06 UTC
Created attachment 100540 [details] [review]
Bug 24696: Add completion times to updatedatabase

This patch adds completion times to the print statements in
updateadatabase.pl.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Tested on top of Bug 24131
Work Ok, no errors.
Comment 10 Jonathan Druart 2020-03-11 11:19:09 UTC
Created attachment 100541 [details] [review]
Bug 24696: Use strftime

Seems easier to me.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 11 Kyle M Hall 2020-03-20 14:59:04 UTC
Created attachment 101206 [details] [review]
Bug 24696: Add completion times to updatedatabase

This patch adds completion times to the print statements in
updateadatabase.pl.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Tested on top of Bug 24131
Work Ok, no errors.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Kyle M Hall 2020-03-20 14:59:50 UTC
Created attachment 101207 [details] [review]
Bug 24696: Use strftime

Seems easier to me.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Martin Renvoize 2020-03-24 10:42:51 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 14 Joy Nelson 2020-04-03 21:37:35 UTC
enhancement not backported to 19.11.x